package pocetnulakladnaazapornacisla;

import java.util.Scanner;

/**
 * Napište program, který spočítá v jednorozměrném poli s celočíselnými prvky
 * počet nul, průměr z kladných čísel a průměr ze záporných čísel. Dále nahradí
 * všechna kladná čísla číslem 1 a záporná čísla číslem -1, nuly ponechá.
 *
 * @author lsroubov
 */
public class PocetNulAkladnaAzapornaCisla {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int pocetPrvku;
        do {
            System.out.printf("Zadej pocet prvku pole: ");
            pocetPrvku = sc.nextInt();
        } while ((pocetPrvku <= 0) || (pocetPrvku > 7));
        int[] pole = new int[pocetPrvku];
        for (int i = 0; i < pole.length; i++) {
            System.out.printf("Zadej prvek pole[%d]: ", i);
            pole[i] = sc.nextInt();
        }
        System.out.println("Zadane pole:");
        for (int i = 0; i < pole.length; i++) {
            System.out.printf("%d\t", pole[i]);
        }
        int pocetNul = 0, pocetKladnych = 0, pocetZapornych = 0, soucetKladnych = 0, soucetZapornych = 0;
        for (int i = 0; i < pole.length; i++) {
            if(pole[i]>0){
                pocetKladnych++;
                soucetKladnych += pole[i];
                pole[i] = 1;
            } else if (pole[i]==0){
                pocetNul++;
            } else {
                pocetZapornych++;
                soucetZapornych += pole[i];
                pole[i] = -1;
            }
        }
        System.out.println();
        System.out.println("Pocet nul: " + pocetNul);
        if (pocetKladnych != 0) {
            System.out.printf("Prumer z kladnych cisel: %.1f\n", soucetKladnych / (double) pocetKladnych);
        } else {
            System.out.printf("V poli nejsou kladne prvky,%nnelze spocitat prumer.%n");
        }
        if (pocetZapornych != 0) {
            System.out.printf("Prumer ze zapornych cisel: %.1f\n", (double)soucetZapornych/pocetZapornych);
        } else {
            System.out.printf("V poli nejsou zaporne prvky,%nnelze spocitat prumer.%n");
        }
        System.out.println("Pole nahrazenymi prvky:");
        for (int i = 0; i < pole.length; i++) {
            System.out.printf("%d\t", pole[i]);
        }
        System.out.println();
    }
    
}
